%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate path-dedot

Name:           rust-path-dedot
Version:        3.1.1
Release:    2%{?dist}
Summary:        Parse path with dots in Path and PathBuf

License:        MIT
URL:            https://crates.io/crates/path-dedot
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A library for extending `Path` and `PathBuf` in order to parse the path
which contains dots.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static_cache" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell_cache" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe_cache" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_unix_paths_on_wasm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_unix_paths_on_wasm-devel %{_description}

This package contains library source intended for building other packages which
use the "use_unix_paths_on_wasm" feature of the "%{crate}" crate.

%files       -n %{name}+use_unix_paths_on_wasm-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.1.1-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-1
- initial build
